<?php
/*---------------------------------------------------------
# BT Bodyworx - Joomla! Template
# ---------------------------------------------------------
# For Joomla! 2.5
# Copyright (C) 2007-2013 BonusThemes.com. All rights reserved.
# License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
# Demo: http://www.bonusthemes.com/demo/?template=bodyworx
# Website: http://www.bonusthemes.com
# Support: support@bonusthemes.com
----------------------------------------------------------- */
defined( '_JEXEC' ) or die( 'Restricted access' ); 

class btTemplateHelper {

  // skin switcher
  var $display_skin_switcher = "";

  // language type (LTR, RTL)
  var $lang_type = "";

  // template variables
  var $host = "";
  var $app = "";
  var $document = "";
  var $template_name = "";
  var $tmpl_params = "";
  var $skin = "";

  function __construct() {
    // get jimport
    jimport( 'joomla.application.module.helper' );
    jimport( 'joomla.filesystem.file' );
    jimport( 'joomla.environment.uri' );

    // default vars
    $this->host = JURI::root();
    $this->app = JFactory::getApplication();
    $this->document = JFactory::getDocument();
    $this->template_name = $this->app->getTemplate();

    // get template params
    $this->tmpl_params = $this->app->getTemplate(true)->params;

    // get current skin
    $this->skin = $this->tmpl_params->get('skin');

    // set skin via cookies
    $this->setSkin();

    // get current skin (from template parameters)
    if (JRequest::getVar("skin") != "") {
      $this->skin = JRequest::getVar("skin");
    }else if (isset($_COOKIE["bt_cookie_skin"])){
      $this->skin = $_COOKIE["bt_cookie_skin"];
    }else{
      $this->skin = $this->tmpl_params->get("skin");
    }

    // get copyright message
    $this->copyright_message = $this->tmpl_params->get("copyright_message", "Copyright &copy; 2012 Joomla! template by BonusThemes.com. All Rights Reserved.<br /><a href=\"http://www.joomla.org\" target=\"_blank\">Joomla!</a> is Free Software released under the <a href=\"http://www.gnu.org/licenses/gpl-2.0.html\" target=\"_blank\">GNU General Public License</a>.");

    // set the language type (LTR, RTL)
    $this->setLangType();

    // get the current language type (LTR, RTL)
    if (JRequest::getVar("lang_type") != "") {
      $this->lang_type = JRequest::getVar("lang_type");
    }else if (isset($_COOKIE["bt_cookie_lang_type"])){
      $this->lang_type = $_COOKIE["bt_cookie_lang_type"];
    }else{
      $this->lang_type = $this->tmpl_params->get("lang_type");
    }
    // call js files
    $this->getJSFiles();

    // call css files
    //$this->getCSSFiles();

    // call config function
    $this->getConfig();

  }

  // Set language type (LTR, RTL) via cookies
  function setLangType() {
    if (JRequest::getVar("lang_type") != "") {
      setcookie("bt_cookie_lang_type", JRequest::getVar("lang_type"), time()+3600);
      return true;
    }
    return false;
  }
  // add position over/down mainbody
  function getOverDownModForMainbody($arr, $module) 
  { 
    if (!empty($arr)) :
      foreach ($arr as $v) :
        if ($module->countModules($v)):
          $html .= "<div class=\"bt_".$v."\">"."\n";
          $html .= "  <div class=\"bt_sub_".$v."\">"."\n";
          $html .= "    <jdoc:include type=\"modules\" name=\"".$v."\" style=\"BTxhtml\" />"."\n";
          $html .= "  </div>"."\n";
          $html .= "</div>"."\n\n";
        endif;
      endforeach;
    endif;
	
	return $html;
  }

  function getModulePosition($module, $arr=array(), $nested_arr=array(), $offset = "", $position_over_mainbody_arr=array(), $position_down_mainbody_arr=array())
  {
    $html = "";
	
	$offset = (!empty($offset)) ? " ".$offset : "";
	
	if (!empty($arr)) :
		$module_names_arr = array_keys($arr);
		$spans_arr = array_values($arr);
	else:
		die("empty array");
	endif;
	
	// 1 position
    if (count($module_names_arr) == 1) :
	  
	  if (empty($module_names_arr[0]) || empty($spans_arr[0])) die("Error array! Have you enter the module name or the span in the array?");

      if ($module->countModules($module_names_arr[0]) && $module_names_arr[0] != "mainbody") :
        $html .= "<div class=\"bt_".$module_names_arr[0]." ".$spans_arr[0].$offset."\">"."\n";
		$html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
		$html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		$html .= "  </div>"."\n";
		$html .= "</div>"."\n\n";
      elseif ($module_names_arr[0] == "mainbody") :
	    
        $html .= "<div class=\"row-fluid ".$spans_arr[0].$offset."\">"."\n";
		
		// add position over mainbody
		$html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);
		
		// mainbody
        $html .= "<div class=\"bt_".$module_names_arr[0]."\">"."\n";
		$html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
		$html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		$html .= "  </div>"."\n";
		$html .= "</div>"."\n\n";

		// add position down mainbody
		$html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
		
		$html .= "</div>"."\n";
		
	  endif;
	
	// 2 positions
    elseif (count($module_names_arr) == 2 && empty($nested_arr)) :

	  if (empty($module_names_arr[0]) || empty($module_names_arr[1]) || empty($spans_arr[0]) || empty($spans_arr[1])) die("Error array! Have you enter the module name or the span in the array?");

      if ($module->countModules($module_names_arr[0]) && $module_names_arr[0] != "mainbody"):
        $html .= "<div class=\"bt_".$module_names_arr[0]." ".(($module->countModules($module_names_arr[1]) || $module_names_arr[1] == "mainbody") ? $spans_arr[0] : "span12").$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
        $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		$html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[0] == "mainbody"):
	  	
        $html .= "<div class=\"row-fluid ".(($module->countModules($module_names_arr[1]) || $module_names_arr[1] == "mainbody") ? $spans_arr[0] : "span12").$offset."\">"."\n";

		// add position over mainbody
		$html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);
		
		// mainbody
        $html .= "<div class=\"bt_".$module_names_arr[0]."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
        $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		$html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";	 
		
		// add position down mainbody
		$html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
		
		$html .= "</div>"."\n";

	  endif;

      if ($module->countModules($module_names_arr[1]) && $module_names_arr[1] != "mainbody"):
        $html .= "<div class=\"bt_".$module_names_arr[1]." ".(($module->countModules($module_names_arr[0]) || $module_names_arr[0] == "mainbody") ? $spans_arr[1] : "span12").$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[1] == "mainbody"):
	    
        $html .= "<div class=\"row-fluid ".(($module->countModules($module_names_arr[0]) || $module_names_arr[0] == "mainbody") ? $spans_arr[1] : "span12").$offset."\">"."\n";
		
        // add position over mainbody
        $html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);

		// mainbody
        $html .= "<div class=\"bt_".$module_names_arr[1]."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
		
		// add position down mainbody
        $html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
		
		$html .= "</div>"."\n";
	  
	  endif;

	// 2 positions, with 2 nested positions
    elseif (count($module_names_arr) == 2 && !empty($nested_arr)) :
	  
	  // 1st position
	  if (empty($module_names_arr[0]) || empty($module_names_arr[1]) || empty($spans_arr[0]) || empty($spans_arr[1])) die("Error array! Have you enter the module name or the span in the array?");
		
		if ($module->countModules($module_names_arr[0]) && $module_names_arr[0] != "mainbody"):

		  $html .= "<div class=\"bt_".$module_names_arr[0]." ".(($module->countModules($module_names_arr[1]) || $module_names_arr[1] == "mainbody") ? $spans_arr[0] : "span12").$offset."\">"."\n";
          $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
		
		  // an to 1st module name exei nested
		  $nested_arr_pos_arr = $nested_arr[$module_names_arr[0]];
		  if (!empty($nested_arr_pos_arr)) :
		    $nested_module_names_arr = array_keys($nested_arr_pos_arr);
		    $nested_spans_arr = array_values($nested_arr_pos_arr);

		    $html .= "    <div class=\"row-fluid\">"."\n";
		    $html .= "      <div class=\"bt_n_".$nested_module_names_arr[0]." ".$nested_spans_arr[0].$offset."\">"."\n";
		    $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[0]."\">"."\n";
		    $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		    $html .= "        </div>"."\n";
		    $html .= "      </div>"."\n";
		    $html .= "      <div class=\"bt_n_".$nested_module_names_arr[1]." ".$nested_spans_arr[1].$offset."\">"."\n";
		    $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[1]."\">"."\n";
		    $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		    $html .= "        </div>"."\n";
		    $html .= "      </div>"."\n";
		    $html .= "    </div>"."\n";
		
		  // an to 1st module name den exei nested
		  else:
		    $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		  endif;
		
		  $html .= "  </div>"."\n";
          $html .= "</div>"."\n\n";
		
        elseif ($module_names_arr[0] == "mainbody"):

		  // mainbody
		  $html .= "<div class=\"bt_".$module_names_arr[0]." ".(($module->countModules($module_names_arr[1])) ? $spans_arr[0] : "span12").$offset."\">"."\n";
          $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
		
		  // an to 1st module name exei nested
		  $nested_arr_pos_arr = $nested_arr[$module_names_arr[0]];
		  if (!empty($nested_arr_pos_arr)) :
		    $nested_module_names_arr = array_keys($nested_arr_pos_arr);
		    $nested_spans_arr = array_values($nested_arr_pos_arr);

		    $html .= "    <div class=\"row-fluid\">"."\n";
		    $html .= "      <div class=\"bt_n_".$nested_module_names_arr[0]." ".$nested_spans_arr[0].$offset."\">"."\n";
		    $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[0]."\">"."\n";

		    if ($nested_module_names_arr[0]=="mainbody") :
		      $html .= "          <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		    else:
		      $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		    endif;
			
		    $html .= "        </div>"."\n";
		    $html .= "      </div>"."\n";
		    $html .= "      <div class=\"bt_n_".$nested_module_names_arr[1]." ".$nested_spans_arr[1].$offset."\">"."\n";
		    $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[1]."\">"."\n";

		    if ($nested_module_names_arr[1]=="mainbody") :
		      $html .= "          <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		    else:
		      $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		    endif;

		    $html .= "        </div>"."\n";
		    $html .= "      </div>"."\n";
		    $html .= "    </div>"."\n";
		
		  // an to 1st module name den exei nested
		  else:
		    $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		  endif;
		
		  $html .= "  </div>"."\n";
          $html .= "</div>"."\n\n";

	    endif;

	  // 2nd position
      if ($module->countModules($module_names_arr[1]) && $module_names_arr[1] != "mainbody"):

        $html .= "<div class=\"bt_".$module_names_arr[1]." ".(($module->countModules($module_names_arr[0]) || $module_names_arr[0] == "mainbody") ? $spans_arr[1] : "span12").$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        
		// an to 1st module name exei nested
		$nested_arr_pos_arr = $nested_arr[$module_names_arr[1]];
		if (!empty($nested_arr_pos_arr)) :
		  $nested_module_names_arr = array_keys($nested_arr_pos_arr);
		  $nested_spans_arr = array_values($nested_arr_pos_arr);

		  $html .= "    <div class=\"row-fluid\">"."\n";
		  $html .= "      <div class=\"bt_n_".$nested_module_names_arr[0]." ".$nested_spans_arr[0].$offset."\">"."\n";
		  $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[0]."\">"."\n";
		  $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		  $html .= "        </div>"."\n";
		  $html .= "      </div>"."\n";
		  $html .= "      <div class=\"bt_n_".$nested_module_names_arr[1]." ".$nested_spans_arr[1].$offset."\">"."\n";
		  $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[1]."\">"."\n";
		  $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		  $html .= "        </div>"."\n";
		  $html .= "      </div>"."\n";
		  $html .= "    </div>"."\n";
		
		// an to 1st module name den exei nested
		else:
		  $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		endif;
		
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[1] == "mainbody"):
	  
	    $html .= "<div class=\"bt_".$module_names_arr[1]." ".(($module->countModules($module_names_arr[0])) ? $spans_arr[1] : "span12").$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        
		// an to 1st module name exei nested
		$nested_arr_pos_arr = $nested_arr[$module_names_arr[1]];
		if (!empty($nested_arr_pos_arr)) :
		  $nested_module_names_arr = array_keys($nested_arr_pos_arr);
		  $nested_spans_arr = array_values($nested_arr_pos_arr);

		  $html .= "    <div class=\"row-fluid\">"."\n";
		  $html .= "      <div class=\"bt_n_".$nested_module_names_arr[0]." ".$nested_spans_arr[0].$offset."\">"."\n";
		  $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[0]."\">"."\n";
		  
		  if ($nested_module_names_arr[0]=="mainbody") :
		    $html .= "          <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		  else:
		    $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		  endif;
		  
		  $html .= "        </div>"."\n";
		  $html .= "      </div>"."\n";
		  $html .= "      <div class=\"bt_n_".$nested_module_names_arr[1]." ".$nested_spans_arr[1].$offset."\">"."\n";
		  $html .= "        <div class=\"bt_sub_n_".$nested_module_names_arr[1]."\">"."\n";
		  
		  if ($nested_module_names_arr[1]=="mainbody") :
		    $html .= "          <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		  else:
		    $html .= "          <jdoc:include type=\"modules\" name=\"".$nested_module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		  endif;
		  
		  $html .= "        </div>"."\n";
		  $html .= "      </div>"."\n";
		  $html .= "    </div>"."\n";
		
		// an to 1st module name den exei nested
		else:
		  $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
		endif;
		
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";

	  endif;

	// 3 positions
    elseif (count($module_names_arr) == 3 && empty($nested_arr)) :

	  if (empty($module_names_arr[0]) || empty($module_names_arr[1]) || empty($module_names_arr[2]) || empty($spans_arr[0]) || empty($spans_arr[1]) || empty($spans_arr[2])) die("Error array! Have you enter the module name or the span in the array?");
      
     // calculate spans
	  $countmod1 = $module->countModules($module_names_arr[0]) || $module_names_arr[0] == "mainbody";
	  $countmod2 = $module->countModules($module_names_arr[1]) || $module_names_arr[1] == "mainbody";
	  $countmod3 = $module->countModules($module_names_arr[2]) || $module_names_arr[2] == "mainbody";

	  // get mainbody span
	  if ($module_names_arr[0] == "mainbody") :
		
		if ($countmod2 && !$countmod3) : 
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[0]) + (int)preg_replace("/[^\d]/", "", $spans_arr[2]);	
		elseif (!$countmod2 && $countmod3) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[0]) + (int)preg_replace("/[^\d]/", "", $spans_arr[1]);	
		elseif (!$countmod2 && !$countmod3) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[0]) + (int)preg_replace("/[^\d]/", "", $spans_arr[1]) + (int)preg_replace("/[^\d]/", "", $spans_arr[2]);	
		else:
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[0]);	
		endif;
		
	  elseif ($module_names_arr[1] == "mainbody") :
		
		if ($countmod1 && !$countmod3) : 
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[1]) + (int)preg_replace("/[^\d]/", "", $spans_arr[2]);	
		elseif (!$countmod1 && $countmod3) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[1]) + (int)preg_replace("/[^\d]/", "", $spans_arr[0]);	
		elseif (!$countmod1 && !$countmod3) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[1]) + (int)preg_replace("/[^\d]/", "", $spans_arr[0]) + (int)preg_replace("/[^\d]/", "", $spans_arr[2]);	
		else:
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[1]);	
		endif;
		
	  elseif ($module_names_arr[2] == "mainbody") :

		if ($countmod1 && !$countmod2) : 
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[2]) + (int)preg_replace("/[^\d]/", "", $spans_arr[1]);	
		elseif (!$countmod1 && $countmod2) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[2]) + (int)preg_replace("/[^\d]/", "", $spans_arr[0]);	
		elseif (!$countmod1 && !$countmod2) :
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[2]) + (int)preg_replace("/[^\d]/", "", $spans_arr[0]) + (int)preg_replace("/[^\d]/", "", $spans_arr[1]);	
		else:
			$mainbody_span = (int)preg_replace("/[^\d]/", "", $spans_arr[2]);	
		endif;
		
	  endif;
		
      if ($countmod1 && $countmod2 && !$countmod3) :
	  
		 if ($module_names_arr[0] == "mainbody") :
         	$span_for_1_module = "span".$mainbody_span;
         	$span_for_2_module = "span".(12-$mainbody_span);
		 elseif ($module_names_arr[1] == "mainbody") :
         	$span_for_1_module = "span".(12-$mainbody_span);
         	$span_for_2_module = "span".$mainbody_span;
		else:
			$span_for_1_module = "span6";
         	$span_for_2_module = "span6";
		endif;
         $span_for_3_module = "";
		 
      elseif ($countmod1 && !$countmod2 && $countmod3) :

		 if ($module_names_arr[0] == "mainbody") :
         	$span_for_1_module = "span".$mainbody_span;
         	$span_for_3_module = "span".(12-$mainbody_span);
		 elseif ($module_names_arr[2] == "mainbody") :
         	$span_for_1_module = "span".(12-$mainbody_span);
         	$span_for_3_module = "span".$mainbody_span;
		else:
			$span_for_1_module = "span6";
         	$span_for_3_module = "span6";
		endif;
         $span_for_2_module = "";
		 
      elseif (!$countmod1 && $countmod2 && $countmod3) :
	  
	     $span_for_1_module = "";
		 if ($module_names_arr[1] == "mainbody") :
         	$span_for_2_module = "span".$mainbody_span;
         	$span_for_3_module = "span".(12-$mainbody_span);
		 elseif ($module_names_arr[2] == "mainbody") :
         	$span_for_2_module = "span".(12-$mainbody_span);
         	$span_for_3_module = "span".$mainbody_span;
		else:
			$span_for_2_module = "span6";
         	$span_for_3_module = "span6";
		endif;
		
	  elseif ($countmod1 && !$countmod2 && !$countmod3) :      

		 $span_for_1_module = "span12";
         $span_for_2_module = "";
         $span_for_3_module = "";
		 
      elseif (!$countmod1 && $countmod2 && !$countmod3) :
	     
         $span_for_1_module = "";
         $span_for_2_module = "span12";
         $span_for_3_module = "";
		 
      elseif (!$countmod1 && !$countmod2 && $countmod3) :      
	  
         $span_for_1_module = "";
         $span_for_2_module = "";
         $span_for_3_module = "span12";
		 
      else:
	  
         $span_for_1_module = $spans_arr[0];
         $span_for_2_module = $spans_arr[1];
         $span_for_3_module = $spans_arr[2];
		 
      endif;
	  	  
      // display mods
      if ($module->countModules($module_names_arr[0]) && $module_names_arr[0] != "mainbody"):
        $html .= "<div class=\"bt_".$module_names_arr[0]." ".$span_for_1_module.$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
        $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[0]."\" style=\"BTxhtml\" />"."\n";
		$html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[0] == "mainbody"):
	  
        $html .= "<div class=\"row-fluid ".$span_for_1_module.$offset."\">"."\n";
		
        // add position over mainbody
        $html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);

        // mainbody
        $html .= "<div class=\"bt_".$module_names_arr[0]."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[0]."\">"."\n";
        $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
		$html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";	  

        // add position down mainbody
        $html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
	  
		$html .= "</div>"."\n";

	  endif;

      if ($module->countModules($module_names_arr[1]) && $module_names_arr[1] != "mainbody"):
        $html .= "<div class=\"bt_".$module_names_arr[1]." ".$span_for_2_module.$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[1]."\" style=\"BTxhtml\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[1] == "mainbody"):

        $html .= "<div class=\"row-fluid ".$span_for_2_module.$offset."\">"."\n";

        // add position over mainbody
        $html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);

        // mainbody
        $html .= "<div class=\"bt_".$module_names_arr[1]."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[1]."\">"."\n";
        $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";

        // add position down mainbody
        $html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
		
		$html .= "</div>"."\n";

	  endif;

      if ($module->countModules($module_names_arr[2]) && $module_names_arr[2] != "mainbody"):
        $html .= "<div class=\"bt_".$module_names_arr[2]." ".$span_for_3_module.$offset."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[2]."\">"."\n";
        $html .= "    <jdoc:include type=\"modules\" name=\"".$module_names_arr[2]."\" style=\"BTxhtml\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";
      elseif ($module_names_arr[2] == "mainbody"):

        $html .= "<div class=\"row-fluid ".$span_for_3_module.$offset."\">"."\n";

        // add position over mainbody
        $html .= $this->getOverDownModForMainbody($position_over_mainbody_arr, $module);

        // mainbody
        $html .= "<div class=\"bt_".$module_names_arr[2]." ".$span_for_3_module."\">"."\n";
        $html .= "  <div class=\"bt_sub_".$module_names_arr[2]."\">"."\n";
        $html .= "    <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
        $html .= "  </div>"."\n";
        $html .= "</div>"."\n\n";

        // add position down mainbody
        $html .= $this->getOverDownModForMainbody($position_down_mainbody_arr, $module);
		
		$html .= "</div>"."\n";

	  endif;

	endif;
	
	return $html;

  }//endf

  // Set skin via cookies (for quickstart templates)
  function setSkin() {
    if (JRequest::getVar("skin") != "") {
      setcookie("bt_cookie_skin", JRequest::getVar("skin"), time()+3600);
      return true;
    }
    return false;
  }

  // Check if modules are enabled, and return 1, or return 0 if is disabled
  function getConfig() {

    // bt skin switcher
    $this->display_skin_switcher = $this->tmpl_params->get("display_skin_switcher", "1");

    return $this;
  }

  function getJSFiles() {
    //j25
    if(JFactory::getApplication()->get('jquery') !== true && JRequest::getVar("option") != "com_virtuemart") {
      // load jQuery here
      JFactory::getApplication()->set('jquery', true);
      // jQuery v@1.8.1 jquery.com
      $this->document->addScript('templates/'.$this->template_name.'/helpers/assets/js/jquery.min.1.8.1.js');
      $this->document->addScript('templates/'.$this->template_name.'/helpers/assets/js/jquery.bt_noconflict.js');
    }

    // chrome fix for input fields (Based on: http://www.benjaminmiles.com/2010/11/22/fixing-google-chromes-yellow-autocomplete-styles-with-jquery/)
    $this->document->addScript('templates/'.$this->template_name.'/helpers/assets/js/drop_down.js');

    // other effects
    $this->document->addScript('templates/'.$this->template_name.'/helpers/assets/js/bt_popup.js'); // Fade popup (login, register form)
    $this->document->addScript('templates/'.$this->template_name.'/helpers/assets/js/modernizr.custom.js'); // Modernizr, http://modernizr.com
  }

  // call all css files will need for bt templates
  function getCSSFiles() {
    $is_ie_9 = (strpos($_SERVER["HTTP_USER_AGENT"], "MSIE 9") !== false) ? 1 : 0;
    $ie = (isset($_SERVER["HTTP_USER_AGENT"]) && (strpos($_SERVER["HTTP_USER_AGENT"], "MSIE") !== false) && $is_ie_9 != 1) ? "ie" : "";
    
    if ($is_ie_9 != 1 && $ie != "") {
      $this->document->addStyleSheet("templates/".$this->template_name."/css/".$ie.".css");
    }
  }

  function getDebug() {
    return "\n\n<div style=\"display:none\">#fc3424 #5835a1 #1975f2 #2fc86b #fbodc9 #eef10570 #230813202637</div><jdoc:include type=\"modules\" name=\"debug\" />\n\n";
  }

  function getGoogleFonts() {
    $google_fonts = "<!-- GOOGLE FONTS -->\n<link href=\"http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800\" rel=\"stylesheet\" type=\"text/css\" />\n";
    return $google_fonts;
  }

}
?>